Bug 115936 - [GTK] Move more build targets for source code that's free of layer violations into libPlatform
Summary: [GTK] Move more build targets for source code that's free of layer violations...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zan Dobersek
URL:
Keywords:
Depends on: 115918 115921
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 14:11 PDT by Zan Dobersek
Modified: 2013-06-12 13:18 PDT (History)
6 users (show)

See Also:


Attachments
Patch (54.45 KB, patch)
2013-05-10 14:18 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch (66.80 KB, patch)
2013-05-13 05:11 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch (70.73 KB, patch)
2013-06-11 10:16 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2013-05-10 14:11:51 PDT
[GTK] Move more build targets for source code that's free of layer violations into libPlatform
Comment 1 Zan Dobersek 2013-05-10 14:18:52 PDT
Created attachment 201426 [details]
Patch
Comment 2 Zan Dobersek 2013-05-12 13:51:28 PDT
Comment on attachment 201426 [details]
Patch

I'll update this, there's more that can be moved.
Comment 3 Zan Dobersek 2013-05-13 05:11:52 PDT
Created attachment 201549 [details]
Patch
Comment 4 kov's GTK+ EWS bot 2013-05-13 05:53:53 PDT
Comment on attachment 201549 [details]
Patch

Attachment 201549 [details] did not pass gtk-ews (gtk):
Output: http://webkit-queues.appspot.com/results/466246
Comment 5 Zan Dobersek 2013-06-11 10:16:11 PDT
Created attachment 204340 [details]
Patch
Comment 6 Zan Dobersek 2013-06-11 10:32:48 PDT
The part of the patch that relies on bug #116012 has now been moved into bug #117509.

This means that the new patch is now ready for review.
Comment 7 Zan Dobersek 2013-06-12 13:18:23 PDT
Comment on attachment 204340 [details]
Patch

Clearing flags on attachment: 204340

Committed r151522: <http://trac.webkit.org/changeset/151522>
Comment 8 Zan Dobersek 2013-06-12 13:18:29 PDT
All reviewed patches have been landed.  Closing bug.